loop_gt
Prev | Orchestra Opcodes and Operators | Next

## loop_gt

loop_gt — Looping constructions.

## Description

Construction of looping operations.

## Syntax

    loop_gt   indx, idecr, imin, label

    loop_gt   kndx, kdecr, kmin, label

## Initialization

indx -- i-rate variable to count loop.

idecr -- value to decrement the loop.

imin -- minimum value of loop index.

## Performance

kndx -- k-rate variable to count loop.

kdecr -- value to decrement the loop.

kmin -- minimum value of loop index.

The actions of loop_gt are equivalent to the code

             indx  =  indx - idecr
             if (indx > imin) igoto label

or

             kndx  =  kndx - kdecr
             if (kndx > kmin) kgoto label

## See Also

loop_ge, loop_le and loop_lt.

## Credits

Istvan Varga.

New in Csound version 5.01

Prev | Up | Next
loop_ge | Home | loop_le